=== requirements.txt ===
# See setup.py
psutil
BeautifulSoup4
sphinx_rtd_theme
Pygments
dbus-python
future
distro
